
Robotics Service Bus - Tasks #1060
Cross-reference individual manuals
07/06/2012 03:05 PM - J. Moringen

Status: Resolved Start date: 07/06/2012
Priority: Normal Due date:
Assignee: % Done: 100%
Category: Documentation Estimated time: 0.00 hour
Target version: rsb-0.7
Description

Sphinx can place custom links in the sidebar area of manuals.

This can be achieved via customization of Shpinx template/configuration.

Related issues:
Related to Robotics Service Bus - Tasks # 900: Finalize initial version of RS... Resolved 07/13/2012
Related to Compliant Control Architecture - Tasks # 1089: Cross-reference ind... Resolved 07/19/2012

Associated revisions
Revision fa1b993a - 07/19/2012 06:05 PM - J. Moringen
Added links to other documentation; Improved CMake code
refs #1060
    -  CMakeLists.txt: removed unnecessary prefixes in variable names;

  added explicit targets which invoke sphinx-build for html, pdf and
  man

    -  conf.py.in: configure html sidebars; expect templates in build
  directory

    -  _templates/layout.html.in: new file; adds links to HTML head
    -  _templates/rsblinks.html.in: new file; adds links to sidebar
    -  Makefile.sphinx.in: removed; no longer necessary

Revision 563de2c6 - 07/19/2012 06:25 PM - J. Moringen
Added links to other documentation; Improved CMake code
refs #1060
    -  CMakeLists.txt: removed unnecessary prefixes in variable names;

  added explicit targets which invoke sphinx-build for html, pdf and
  man

    -  conf.py.in: configure html sidebars; expect templates in build
  directory

    -  _templates/layout.html.in: new file; adds links to HTML head
    -  _templates/rsblinks.html.in: new file; adds links to sidebar
    -  Makefile.sphinx.in: removed; no longer necessary

Revision 660f2b7d - 07/19/2012 06:59 PM - Jan Moringen 
Added links to other documentation; Improved CMake code
refs #1060
    -  CMakeLists.txt: removed unnecessary prefixes in variable names;

  added explicit targets which invoke sphinx-build for html, pdf and
  man

    -  conf.py.in: configure html sidebars; expect templates in build
  directory
    -  _templates/layout.html.in: new file; adds links to HTML head
    -  _templates/rsblinks.html.in: new file; adds links to sidebar
    -  Makefile.sphinx.in: removed; no longer necessary
    -  .gitignore: adapted to changed build process

Revision 660f2b7d - 07/19/2012 06:59 PM - J. Moringen
Added links to other documentation; Improved CMake code
refs #1060
    -  CMakeLists.txt: removed unnecessary prefixes in variable names;

  added explicit targets which invoke sphinx-build for html, pdf and
  man

    -  conf.py.in: configure html sidebars; expect templates in build
  directory

    -  _templates/layout.html.in: new file; adds links to HTML head
    -  _templates/rsblinks.html.in: new file; adds links to sidebar
    -  Makefile.sphinx.in: removed; no longer necessary
    -  .gitignore: adapted to changed build process

History
#1 - 07/19/2012 06:50 PM - J. Moringen
- Status changed from New to In Progress
- % Done changed from 0 to 50

#2 - 07/19/2012 07:12 PM - J. Moringen
- Subject changed from Cross-reference individual manuls to Cross-reference individual manuals

#3 - 07/20/2012 12:45 AM - J. Moringen
- Status changed from In Progress to Resolved
- Target version changed from rsb-0.9 to rsb-0.7
- % Done changed from 50 to 100
